Subject: Re: partially dead //e keyboard
From: [email-masked] (Dave Althoff)
Date: 2 Mar 1995 00:48:29 -0500
Newsgroups: comp.sys.apple2

What you've got is a dead keyswitch.

I like the ][e keyboard; it has a great feel to it, especially compared to
my GS keyboard.  The trouble is that with discrete keys, you've got some
63 little switches to fail.

They're not hard to replace; I've probably bought enough keyswitches for
Mom's ][e to buy two or three new keyboards (anyone know where to get one
for, say, $70?  "Genuine" type ][e keyboard? Jameco dropped them from the
catalog right when I was about to order one!)

Anyway, the last time I checked, keyswitches were about $10 each retail
for the Alps Long-Stem switch.  That's the same switch as used in the Mac
Plus keyboard, so they are still available.

To replace the keyswitch:
Remove the screws from the bottom of the ][e case.  Remove the case.  If
you have a classic ][e (beige), the keyboard will be supported on two
triangular supports attached to the base plate.  On the "platinum" ][e,
the keyboard is attached to the upper case.

On the beige ][e, save yourself a lot of grief before going any further. 
Get a marker and scribe the supports at the edge of the keyboard assembly.
This will allow you to get the horizontal alignment right when you put it
all back together; this keeps you from getting hung with stuck keys later.

Remove the four screws holding the keyboard, and disconnect it from the
motherboard.  I suggest unplugging the ribbon connector from the end of
the keyboard so it will be out of your way. 

Remove the keycaps from the bad key and from the surrounding keys by
pulling them straight off.  Examine the keyboard, and locate the two
solder connections on the back directly below the bad key.

At this point, I usually mount the keyboard upside-down on the support in
the computer, since it provides a handy support which also protects the
keycaps by suspending them, but, as they say, YMMV.

Using a low-wattage soldering iron and a desoldering bulb, carefully
remove all the solder from the two connections under the bad key.  When
you have done so, the pins sticking through the holes should be completely
free of the board tracings.  Be careful; if you use too much heat, you can
lift the copper trace off the board.  You do NOT want to do that!

Turn the keyboard up-side-up.  There is a squeeze-tab on either side of
the keyswitch.  With the solder completely removed from the bottom, you
should be able to squeeze these tabs together and lift the switch straight
out.  Sorry, no tips here...I have trouble doing it myself.  Two tiny
flat-head screwdrivers usually work; sometimes I can get a pair of
needle-nose pliers to do the trick.

To install the new switch, make sure it is oriented the same way as the
old one, and snap it into the hole.  If you did it right (and it's REALLY
hard to screw this part up!), the contacts should be sticking through the
holes in the bottom of the circuit board.  Heat up the pins and apply
solder to connect the new switch to the board.  Reconnect the keyboard to
the computer, power it all up, and make sure the new key works.

Reinstall the key caps, and reattach the keyboard.  On the beige ][e's,
line up the edge of the keyboard with the mark you made earlier.  Put the
case back together, and it's all good as new.

Usual cost:
$10 (keyswitch)
about an inch of solder
about fifteen minutes-half an hour.

--Dave Althoff, Jr.
(sometimes I think I should buy keyswitches by the dozen 8-( )
-- 
    /-\        _ |\                        
   /XXX\      /X\| \  X              XX    
  /XXXXX\    /XXX\  <XXXX      X   _XXXXX |(hard hat area...       )
_/XXXXXXX\__/XXXXX  XXXXXXXX  XXX  XXXXXXXo(.sig under construction)